import 'package:json_annotation/json_annotation.dart';

@JsonSerializable()
class LoginOrCreatePasswordParams {
  String userId;
  String password;
  LoginOrCreatePasswordParams({this.userId, this.password});
  factory LoginOrCreatePasswordParams.fromJson(Map<String, dynamic> json) => _$LoginOrCreatePasswordFromJson(json);
  Map<String, dynamic> toJson() => _$LoginOrCreatePasswordToJson(this);
}
LoginOrCreatePasswordParams _$LoginOrCreatePasswordFromJson(Map<String, dynamic> json) {
  return LoginOrCreatePasswordParams(
    userId: json["user_id"],
    password: json["password"]
  );
}
Map<String, dynamic> _$LoginOrCreatePasswordToJson(LoginOrCreatePasswordParams instance) => <String, dynamic> {
  "user_id": instance.userId,
  "password": instance.password
};