import 'package:json_annotation/json_annotation.dart';

@JsonSerializable()
class ErrorResponse {
  int responseCode;
  String responseMessage;
  ErrorResponse({ this.responseCode, this.responseMessage });
  factory ErrorResponse.fromJson(Map<String, dynamic> json) => _$ErrorResponseFromJson(json);
}

ErrorResponse _$ErrorResponseFromJson(Map<String, dynamic> json) {
  return ErrorResponse(
      responseCode: json['response_code'] as int,
    responseMessage: json['response_message'] as String
  );
}