import 'package:json_annotation/json_annotation.dart';

@JsonSerializable()
class ForgotPassword {
  int responseCode;
  String responseMessage;
  ForgotPassword({ this.responseCode, this.responseMessage });
  factory ForgotPassword.fromJson(Map<String, dynamic> json) => _$ForgotPasswordFromJson(json);
  Map<String, dynamic> toJson() => _$ForgotPasswordToJson(this);
}
ForgotPassword _$ForgotPasswordFromJson(Map<String, dynamic> json) {
  return ForgotPassword(
    responseCode: json["response_code"],
    responseMessage: json["response_message"]
  );
}
Map<String, dynamic> _$ForgotPasswordToJson(ForgotPassword instance) => <String, dynamic> {
  "response_code": instance.responseCode,
  "response_message": instance.responseMessage
};