import 'Responses/FeeBorne.dart';
import 'Responses/InstrumentType.dart';

class SupportedInstruments {
  FeeBorne feeBorne;
  InstrumentType instrumentType;
  SupportedInstruments({ this.feeBorne, this.instrumentType });
  factory SupportedInstruments.fromJson(Map<String, dynamic> json) => _$SupportedInstrumentsFromJson(json);
  Map<String, dynamic> toJson() => _$SupportedInstrumentsToJson(this);
}
SupportedInstruments _$SupportedInstrumentsFromJson(Map<String, dynamic> json) {
  return SupportedInstruments(
      feeBorne: FeeBorne.fromJson(json["fee_borne"]),
      instrumentType: InstrumentType.fromJson(json["instrument"])
  );
}
Map<String, dynamic> _$SupportedInstrumentsToJson(SupportedInstruments instance) => <String, dynamic> {
  "fee_borne": instance.feeBorne.toJson(),
  "instrument": instance.instrumentType.toJson()
};