import 'package:json_annotation/json_annotation.dart';

import '../Constants.dart';

@JsonSerializable()
class AcquireUser {
  String emailAddress;
  String mobileNumber;
  bool isVerificationRequired;
  AcquireUser({ this.emailAddress, this.mobileNumber, this.isVerificationRequired });
  factory AcquireUser.fromJson(Map<String, dynamic> json) => _$AcquireUserFromJson(json);
  Map<String, dynamic> toJson() => _$AcquireUserToJson(this);
}
AcquireUser _$AcquireUserFromJson(Map<String, dynamic> json) {
  return AcquireUser(
    emailAddress: json[RequestKey.EMAIL_ADDRESS],
    mobileNumber: json[RequestKey.PHONE_NUMBER],
    isVerificationRequired: json[RequestKey.IS_VERIFICATION_REQUIRED]
  );
}
Map<String, dynamic> _$AcquireUserToJson(AcquireUser instance) => <String, dynamic> {
  RequestKey.EMAIL_ADDRESS: instance.emailAddress,
  RequestKey.PHONE_NUMBER: instance.mobileNumber,
  RequestKey.IS_VERIFICATION_REQUIRED: instance.isVerificationRequired
};