import 'package:json_annotation/json_annotation.dart';

@JsonSerializable()
class UpdateUser {
  String userId;
  String emailAddress;
  String mobileNumber;
  String responseMessage;
  UpdateUser({ this.userId, this.emailAddress, this.mobileNumber, this.responseMessage });
  factory UpdateUser.fromJson(Map<String, dynamic> json) => _$UpdateUserFromJson(json);
  Map<String, dynamic> toJson() => _$UpdateUserToJson(this);
}
UpdateUser _$UpdateUserFromJson(Map<String, dynamic> json) {
  return UpdateUser(
    userId: json["id"],
    emailAddress: json["email_address"],
    mobileNumber: json["phone_number"],
    responseMessage: json["response_message"]
  );
}
Map<String, dynamic> _$UpdateUserToJson(UpdateUser instance) => <String, dynamic> {
  "user_id": instance.userId,
  "email_address": instance.emailAddress,
  "phone_number": instance.mobileNumber,
};