import 'package:json_annotation/json_annotation.dart';

import '../Constants.dart';

@JsonSerializable()
class Bank {
  String bankId;
  /*String bankLogo;
  String bankShortName;*/
  String name;
  Bank({ this.bankId, /*this.bankLogo, this.bankShortName,*/ this.name });
  factory Bank.fromJson(Map<String, dynamic> json) => _$banksFromJson(json);
  Map<String, dynamic> toJson() => _$banksToJson(this);
}

Bank _$banksFromJson(Map<String, dynamic> json) {
  return Bank(
    bankId: json[JsonFieldKey.BANK_ID] as String,
    /*bankLogo: json[JsonFieldKey.BANK_LOGO] as String,
    bankShortName: json[JsonFieldKey.BANK_SHORT_NAME] as String,*/
    name: json[JsonFieldKey.BANK__NAME] as String
  );
}

Map<String, dynamic> _$banksToJson(Bank instance) => <String, dynamic> {
  JsonFieldKey.BANK_ID: instance.bankId,
/*  JsonFieldKey.BANK_LOGO: instance.bankLogo,
  JsonFieldKey.BANK_SHORT_NAME: instance.bankShortName,*/
  JsonFieldKey.BANK__NAME: instance.name
};