import 'package:json_annotation/json_annotation.dart';

import '../Constants.dart';

@JsonSerializable()
class ImageResponse {
  int responseCode;
  String responseData;
  String responseMessage;
  ImageResponse({ this.responseCode, this.responseData, this.responseMessage });
  factory ImageResponse.fromJson(Map<String, dynamic> json, String key) => _$UploadImageResponseFromJson(json, key);
  Map<String, dynamic> toJson() => _$UploadImageResponseToJson(this);
}

ImageResponse _$UploadImageResponseFromJson(Map<String, dynamic> json, String key) {
  print(json);
  return ImageResponse(
    responseCode: json[ResponseKey.RESPONSE_CODE] as int,
    responseData: json[ResponseKey.RESPONSE_DATA][key] as String,
    responseMessage: json[ResponseKey.RESPONSE_MESSAGE] as String
  );
}

Map<String, dynamic> _$UploadImageResponseToJson(ImageResponse instance) => <String, dynamic> {
  ResponseKey.RESPONSE_CODE: instance.responseCode,
  ResponseKey.RESPONSE_DATA: instance.responseData
};