import 'package:json_annotation/json_annotation.dart';

@JsonSerializable()
class InstrumentType {
  int id;
  String name;
  bool active;
  String caption;
  InstrumentType({ this.id, this.name, this.active, this.caption });
  factory InstrumentType.fromJson(Map<String, dynamic> json) => _$InstrumentTypeFromJson(json);
  Map<String, dynamic> toJson() => _$InstrumentTypeToJson(this);
}
InstrumentType _$InstrumentTypeFromJson(Map<String, dynamic> json) {
  return InstrumentType(
    id: json["id"],
    name: json["name"],
    active: json["active"],
    caption: json["caption"]
  );
}
Map<String, dynamic> _$InstrumentTypeToJson(InstrumentType instance) => <String, dynamic> {
  "id": instance.id,
  "name": instance.name,
  "active": instance.active,
  "caption": instance.caption
};