import 'package:json_annotation/json_annotation.dart';

@JsonSerializable()
class Login {
  int responseCode;
  Data responseData;
  Login({this.responseCode, this.responseData});
  factory Login.fromJson(Map<String, dynamic> json) => _$LoginFromJson(json);
  Map<String, dynamic> toJson() => _$LoginToJson(this);
}
Login _$LoginFromJson(Map<String, dynamic> json) {
  return Login(
    responseCode: json["response_code"],
    responseData: json["response_data"]
  );
}
Map<String, dynamic> _$LoginToJson(Login instance) => <String, dynamic> {
  "response_code": instance.responseCode,
  "response_data": instance.responseData
};

class Data {
  List businessId;
  bool landingScreenRequired;

}