import 'package:json_annotation/json_annotation.dart';

@JsonSerializable()
class Otp {
  int requiresCode;
  ResponseData responseData;
  Otp({this.requiresCode, this.responseData});
  factory Otp.fromJson(Map<String, dynamic> json) => _$OtpFromJson(json);
  Map<String, dynamic> toJson() => _$OtpToJson(this);
}
Otp _$OtpFromJson(Map<String, dynamic> json) {
  return Otp(
    requiresCode: json["response_code"],
    responseData: ResponseData.fromJson(json["response_data"])
  );
}
Map<String, dynamic> _$OtpToJson(Otp instance) => <String, dynamic> {
  "response_code": instance.requiresCode,
  "response_data": instance.responseData
};

class ResponseData {
  String message;
  String errorMessage;
  ResponseData({this.message, this.errorMessage});
  factory ResponseData.fromJson(Map<String, dynamic> json) => _$ResponseDataFromJson(json);
  Map<String, dynamic> toJson() => _$ResponseDataToJson(this);
}
ResponseData _$ResponseDataFromJson(Map<String, dynamic> json) {
  return ResponseData(
    message: json["message"],
    errorMessage: json["error_message"]
  );
}
Map<String, dynamic> _$ResponseDataToJson(ResponseData instance) => <String, dynamic> {
  "message": instance.message,
  "error_message": instance.errorMessage
};