import 'package:json_annotation/json_annotation.dart';

@JsonSerializable()
class Province {
  int id;
  String name;
  Province({ this.id, this.name });
  factory Province.fromJson(Map<String, dynamic> json) => _$ProvinceFromJson(json);
  Map<String, dynamic> toJson() => _$ProvinceToJson(this);
}
Province _$ProvinceFromJson(Map<String, dynamic> json) {
  return Province(
    id: json["id"],
    name: json["name"]
  );
}
Map<String, dynamic> _$ProvinceToJson(Province instance) => <String, dynamic> {
  "id": instance.id,
  "name": instance.name
};